Compiling PHP 5.1.2

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
I'm having trouble compiling PHP 5.1.2 on Kubuntu Breezy.  I've  
downloaded PHP 5.1.2, and when I configure, it gives me an error about  
libxml2.  I am trying to install PHP as a CGI/CLI.

The relavent part:
# ./configure
-- snip --
Configuring extensions
checking whether to enable LIBXML support... yes
checking libxml2 install dir... no
checking for xml2-config path...
configure: error: xml2-config not found. Please check your libxml2  

I have installed libxml2, and it is updated to the latest.
# apt-get install libxml2
Reading package lists... Done
Building dependency tree... Done
libxml2 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Any ideas on how to solve this?  My goal is to build PHP so that I may  
use PHP-GTK.
Carl Vondrick
usenet [at] carlsoft [dot] net

Re: Compiling PHP 5.1.2

Try explicitly specifying the path to where the xml stuff is.  I've
found that manually installation of PHP often requires paths to be
specified in the configure line.

Site Timeline